Subject: Re: Invoice 1241619
From: "LLPS Customer Service" <[email-masked]>
To: "Jill Horton" <[email-masked]>
Date: Wed, 9 Mar 2011 17:38:19 -0500

Hi Cindy.
I did call earlier and left a voicemail.  I will try and catch up with you 
tomorrow.  Much appreciated!
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]
----- Original Message ----- 
From: "Jill Horton" <[email-masked]>
To: "'LLPS Customer Service'" <[email-masked]>
Sent: Tuesday, March 08, 2011 6:11 PM
Subject: RE: Invoice 1241619

> Call me for the CC number.  317-846-5300 ext. 13
>
> Go ahead and send the MI posters here to our corp. address.
>
> 8935 N. Meridian St.  Suite 115
> Indianapolis, IN 46260
>
> Thanks,
>
>
>
> Jill Horton
> Accountant
> Future Keys, Inc.
> [email-masked]
> (317) 846-5300 ext. 13
>
> -----Original Message-----
> From: LLPS Customer Service [mailto:[email-masked]]
> Sent: Tuesday, March 08, 2011 1:53 PM
> To: Jill Horton
> Subject: Re: Invoice 1241619
>
> Jill,
> I see that you paid your last invoice with a credit card.  Did you want to
> pay for this order on a credit card as well?  I could call you to get the
> number if you are not comfortable emailing it to me.  Also, did you want 
> the
> 3 MI sets coming to you there in Indiana?
> Thank you,
> Michael Bishop
> Labor Law Poster Service
> Phone 877-321-4144
> Fax 888-442-4144
> [email-masked]
> ----- Original Message ----- 
> From: "Jill Horton" <[email-masked]>
> To: "'Labor Law Poster Service'" <[email-masked]>
> Sent: Tuesday, March 08, 2011 1:22 PM
> Subject: RE: Invoice 1241619
>
>
>> Can I get three sets for State of Michigan?
>>
>> Thanks,
>>
>> Jill Horton
>> Accountant
>> Future Keys, Inc.
>> [email-masked]
>> (317) 846-5300 ext. 13
>>
>> -----Original Message-----
>> From: Labor Law Poster Service [mailto:[email-masked]]
>> Sent: Friday, March 04, 2011 1:02 PM
>> To: [email-masked]
>> Subject: Invoice 1241619
>>
>>
>>
>> -------------------------
>> Thank you for your order. Your invoice is attached.
>>
>> This is an automatically generated message from Labor Law Poster Service.
>> UID: 18
>>
>